> ## Documentation Index
> Fetch the complete documentation index at: https://doc.seerbit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Banks

> Get list of banks



## OpenAPI

````yaml https://raw.githubusercontent.com/seerbit/openapi/master/specs/external-api.yml get /banks/merchant/SBTESTPUBK_p8GqvFSFNCBahSJinczKd9aIPoRUZfda
openapi: 3.0.1
info:
  title: SeerBit API Reference
  contact: {}
  version: '1.0'
servers:
  - url: https://seerbitapi.com/api/v2
security: []
tags:
  - name: AUTHENTICATION
  - name: STANDARD CHECKOUT
  - name: ORDER CHECKOUT
  - name: PAYMENT METHOD
  - name: MOMO
  - name: NON 3DS PAYMENT
  - name: CARD
  - name: ACCOUNT
  - name: TOKENIZE
  - name: AUTHORISE
  - name: PREAUTHORIZATION
  - name: RECURRENT
paths:
  /banks/merchant/SBTESTPUBK_p8GqvFSFNCBahSJinczKd9aIPoRUZfda:
    get:
      tags:
        - PAYMENT METHOD
      summary: Get Banks
      description: Get list of banks
      operationId: GetBanks
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
              examples:
                BanksResponse:
                  $ref: '#/components/examples/BanksResponse'
        '400':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OTPMomo400Response'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response:
                  $ref: '#/components/examples/404Response'
                404Response1:
                  $ref: '#/components/examples/404Response1'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
              examples:
                500Response:
                  $ref: '#/components/examples/500Response'
      deprecated: false
components:
  examples:
    BanksResponse:
      summary: An example of A Get Bank 201 Response payload
      value:
        status: SUCCESS
        data:
          code: '00'
          merchantBanks:
            - bankName: Guarantee Trust Bank
              bankCode: '058'
              url: null
              logo: null
              status: ACTIVE
              minimumAmount: 100
              requiredFields:
                accountName: 'YES'
                accountNumber: 'NO'
                isBankCode: 'YES'
                bvn: 'NO'
                dateOfBirth: 'NO'
                mobileNumber: 'NO'
            - bankName: United Bank for Africa
              bankCode: 33
              url: null
              logo: null
              status: ACTIVE
              minimumAmount: 100
              requiredFields:
                accountName: 'YES'
                accountNumber: 'YES'
                isBankCode: 'YES'
                bvn: 'YES'
                dateOfBirth: 'YES'
                mobileNumber: 'NO'
            - bankName: First Bank of Nigeria
              bankCode: 11
              url: null
              logo: null
              status: ACTIVE
              minimumAmount: 100
              requiredFields:
                accountName: 'NO'
                accountNumber: 'NO'
                isBankCode: 'YES'
                bvn: 'NO'
                dateOfBirth: 'NO'
                mobileNumber: 'NO'
            - bankName: Sterling Bank
              bankCode: 232
              url: null
              logo: null
              status: ACTIVE
              minimumAmount: 100
              requiredFields:
                accountName: 'YES'
                accountNumber: 'YES'
                isBankCode: 'YES'
                bvn: 'NO'
                dateOfBirth: 'NO'
                mobileNumber: 'YES'
            - bankName: Wema Bank
              bankCode: 35
              url: null
              logo: null
              status: ACTIVE
              minimumAmount: 100
              requiredFields:
                accountName: 'YES'
                accountNumber: 'YES'
                isBankCode: 'YES'
                bvn: 'NO'
                dateOfBirth: 'NO'
                mobileNumber: 'YES'
            - bankName: Zenith Bank
              bankCode: 57
              url: null
              logo: null
              status: ACTIVE
              minimumAmount: 100
              requiredFields:
                accountName: 'YES'
                accountNumber: 'YES'
                isBankCode: 'YES'
                bvn: 'YES'
                dateOfBirth: 'YES'
                mobileNumber: 'NO'
          message: Successful
    404Response:
      summary: An example of 404 response payload
      value:
        error: Not Found
    404Response1:
      summary: An example of 404 response payload
      value:
        message: Not Found
        error: The server can not find the requested resource
    500Response:
      summary: An example of 500 response payload
      value:
        message: Internal Server Error
        error: PROCESSING
  schemas:
    OTPMomo400Response:
      title: OTPMomoResponse
      type: object
      example:
        message: Bad Request
        error: There has been a problem with reading or understanding the request.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.